%define        subrel 2
Name: libmsn
Summary: Reusable, open-source and fully documented library for MSN
Version: 4.1
Release: %mkrel 4
Url: http://sourceforge.net/projects/libmsn
License: GPLv2+
Group: Development/C++
BuildRoot: %{_tmppath}/%{name}-%{version}-build
Source0: http://downloads.sourceforge.net/libmsn/%name-%version.tar.bz2
Patch0: libmsn-4.1-openssl.patch
Patch1: libmsn-4.1-fix_msn_soap_redirects.patch
BuildRequires: cmake
BuildRequires: openssl-devel
BuildRequires: pkgconfig

%description
Libmsn is a reusable, open-source, fully documented library for 
connecting to Microsoft's MSN Messenger service. 

#-----------------------------------------------------------------------------

%define msn_major 0.3
%define libmsn %mklibname msn %{msn_major}

%package -n %libmsn
Summary: %name library
Group: System/Libraries
# Fix temporary cooker update issue
Obsoletes: %{_lib}msn0 > 4.0

%description -n %libmsn
%name library

%files -n %libmsn
%defattr(-,root,root)
%_libdir/libmsn.so.%{msn_major}*

#-----------------------------------------------------------------------------

%package test
Summary: Connection test utility
Group: Development/C++

%description test
Connection test utility.

%files test
%defattr(-,root,root)
%_bindir/*

#-----------------------------------------------------------------------------

%package devel
Summary: Devel stuff for %{name}
Group: Development/C++
Requires: %libmsn = %version

%description  devel
Files needed to build applications based on %{name}.

%files devel
%defattr(-,root,root)
%_libdir/pkgconfig/*
%_includedir/msn
%_libdir/libmsn.so

#-----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%cmake 
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

%clean
rm -rf "%{buildroot}"


%changelog
* Mon Dec 05 2011 Oden Eriksson <oeriksson@mandriva.com> 4.1-4.2mdv2010.2
- built for updates

* Sun Nov 27 2011 Juan Luis Baptiste <juancho@mandriva.org> 4.1-4.1mdv2010.1
+ Revision: 733897
- Fixed MSN login problem because of redirects handling problem affecting kopete.

* Tue Apr 06 2010 Funda Wang <fwang@mandriva.org> 4.1-4mdv2010.1
+ Revision: 532084
- rebuild
- add fedora patch to build with libmsn
- rebuild for new openssl

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 4.1-2mdv2010.1
+ Revision: 511587
- rebuilt against openssl-0.9.8m

* Fri Feb 12 2010 Funda Wang <fwang@mandriva.org> 4.1-1mdv2010.1
+ Revision: 504707
- New version 4.1

* Fri Jan 08 2010 Frederik Himpe <fhimpe@mandriva.org> 4.0-2mdv2010.1
+ Revision: 487719
- Use correct major

* Thu Jan 07 2010 Frederik Himpe <fhimpe@mandriva.org> 4.0-1mdv2010.1
+ Revision: 487345
- Update to new version 4.0

* Sun Aug 30 2009 Helio Chissini de Castro <helio@mandriva.com> 4.0-0.beta8.2mdv2010.0
+ Revision: 422359
- We're not ready for experimental features on wlm

* Fri Aug 28 2009 Helio Chissini de Castro <helio@mandriva.com> 4.0-0.beta8.1mdv2010.0
+ Revision: 422017
- New upstream version

* Wed Jul 29 2009 Helio Chissini de Castro <helio@mandriva.com> 4.0-0.beta7.1mdv2010.0
+ Revision: 404342
- New upstream release beta 7

* Thu Jun 25 2009 Frederik Himpe <fhimpe@mandriva.org> 4.0-0.beta6.1mdv2010.0
+ Revision: 389204
- Update to new version 4.0 beta 6

* Sat Jan 24 2009 Funda Wang <fwang@mandriva.org> 4.0-0.beta4.1mdv2009.1
+ Revision: 333168
- 4.0 beta 4

* Fri Jan 23 2009 Helio Chissini de Castro <helio@mandriva.com> 4.0-0.beta3.1mdv2009.1
+ Revision: 333083
- Update with beta 3 plus current fixes from svn

* Tue Jan 13 2009 Helio Chissini de Castro <helio@mandriva.com> 4.0-0.beta2.2mdv2009.1
+ Revision: 329027
- Update with current svn until beta3 is launched, with latest msn login fix

* Tue Dec 30 2008 Helio Chissini de Castro <helio@mandriva.com> 4.0-0.beta2.1mdv2009.1
+ Revision: 321315
- Update to current beta2

* Wed Dec 03 2008 Helio Chissini de Castro <helio@mandriva.com> 4.0-0.beta1.3mdv2009.1
+ Revision: 309741
- Compilae revision 75 of libmsn svn
- Required for new kde4 kopete.
- Fix bko http://bugs.kde.org/show_bug.cgi?id=176703

* Sun Nov 16 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.0-0.beta1.1mdv2009.1
+ Revision: 303850
- Fix lib install
- New version 4.0 beta 1

  + Funda Wang <fwang@mandriva.org>
    - fix url

* Wed Oct 29 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.2-1mdv2009.1
+ Revision: 298574
- import libmsn


